
#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    vector<int> ans;
    while(n>0){
        int q=n%10;
        if(q!=2 && q!=5){
            ans.push_back(q);
        }else if(q==2){
            ans.push_back(5);
        }else{
            ans.push_back(2);
        }
        n=n/10;
    }
    bool p=false;
    for (int i=0; i<ans.size(); ++i){
        if(p || ans[i]!=0){
            cout<<ans[i];
            p=true;
        }
    }
    return 0;
}
